*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
body {
    font-family: Arial, Helvetica, sans-serif;
    display: flex;
    flex-direction: column;
    justify-items: center;
    align-items: center;
    overflow-x: hidden;
}

.card {
    margin: 5rem;
    background-color:aquamarine;
    border-radius: 10px;
    width: 600px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-basis: 200px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);  
}
.weather-img {
    width: 70px;
    height: 70px;
    border-radius: 50px;
    box-shadow: rgba(0, 0, 0, 0);
    /* border: 2px solid #000000; */
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);  
}

.heading {
    margin: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.heading-text {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 50px;
}

.search-box {
    width: 400px;
    height: 30px;
    border-radius: 5px;
    padding: 5px;
    font-size: 13px;
    margin: 1rem;
}
button {
    width: 100px;
    height: 30px;
    border-radius: 5px;
    padding: 5px;
    background-color: #0000ff;
    color: #ffffff;
    border: none;
    cursor: pointer;
    font-size: 12px;
}
.display-h1 {
    font-size: 40px;
    margin-top: 4rem;
}
.display {
    
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}

.condition {
    font-size: 20px;
}

.temp {
    font-size: 50px;
}

.temp-img {
    display: flex;
    align-items: center;
    justify-content: center;
}

article {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4px;
}
.wind-speed, .humidity {
    font-size: 30px;
}

#wind-icon {
    font-size: 30px;
}
#humid-icon {
    font-size: 30px; 
}

.other-value {
    margin: 4rem;
    display: flex;
    align-items: center;
    justify-content: space-around;
    width: 600px;
}
.span-other {
    display: block;
    font-size: 16px;
}

.error {
    display: none;
}
.invalid {
    color: #ff0000;
}

.display {
    display: none;
}

.loading {
    color: #008000;
    display: none;
}

@media screen  and (max-width: 630px){
    .card {
    margin: 5rem;
    background-color:aquamarine;
    border-radius: 10px;
    width: 300px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-basis: 200px;
    
   
    
}

.weather-img {
    width: 40px;
    height: 40px;
    border-radius: 50px;
    box-shadow: rgba(0, 0, 0, 0);
}

.heading {
    margin: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.heading-text {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 30px;
}

.search-box {
    width: 150px;
    height: 20px;
    border-radius: 5px;
    padding: 5px;
    font-size: 10px;
    margin: 1rem;
}
button {
    width: 70px;
    height: 20px;
    border-radius: 5px;
    padding: 5px;
    background-color: #0000ff;
    color: #ffffff;
    border: none;
    cursor: pointer;
    font-size: 9px;
}
.display-h1 {
    font-size: 25px;
    margin-top: 2rem;
}
.display {
    
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}

.condition {
    font-size: 20px;
}

.temp {
    font-size: 30px;
}

.temp-img {
    display: flex;
    align-items: center;
    justify-content: center;
}

article {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4px;
}
.wind-speed, .humidity {
    font-size: 20px;
}

#wind-icon {
    font-size: 15px;
}
#humid-icon {
    font-size: 15px; 
}

.other-value {
    margin: 4rem;
    display: flex;
    align-items: center;
    justify-content: space-around;
    width: 300px;
}
.span-other {
    display: block;
    font-size: 12px;
}

.error {
    display: none;
}
.invalid {
    color: #ff0000;
    font-size: 12px;
}

.display {
    display: none;
}

}